import json
import os
import sys
import pkg_resources

exampleTypesSet = {"dynamics_TRUSS02",
                    "electrical_BR02",
                    "mechanics_BR02",
                    "mechanics_QU04",
                    "mechanics_TR03",
                    "structural_TRUSS02",
                    "thermal_BR02"
                }

def sopy_fem_help(exampleType="", basePath=""):
    if (exampleType in exampleTypesSet):
        if(basePath != ""):
            fileName = basePath + exampleType + "/data.json"
        else:
            resource_name = "Examples/" + exampleType + "/data.json"
            fileName = pkg_resources.resource_filename('sopy_fem', resource_name)
        with open(fileName, "r") as exampleFile:
            jsonText = json.load(exampleFile)

        print(json.dumps(jsonText, indent=4))
    else:
        print("Please choose one of the following examples types:\n")
        for exampleType in exampleTypesSet:
            print("  - ", exampleType)


if __name__ == '__main__':
    args = sys.argv[1:]
    exampleType = ""
    basePath= "Examples/"
    if (len(args)  != 0):
        exampleType = args[0]
    sopy_fem_help(exampleType, basePath)
